require "test_helper"

module Admin
  class HolidaysControllerTest < ActionDispatch::IntegrationTest
    include Devise::Test::IntegrationHelpers

    test "renders index" do
      sign_in users(:admin)

      get admin_holidays_path

      assert_response :ok
    end

    test "import holidays" do
      sign_in users(:admin)

      post import_admin_holidays_path

      assert_redirected_to admin_holidays_path
    end
  end
end
